Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.bcpg
Class OutputStreamPacket

    java.lang.Object
      org.bouncycastle.bcpg.OutputStreamPacket

    public abstract class OutputStreamPacket

extends java.lang.Object

Field Summary
`protected BCPGOutputStream` | `out`

Constructor Summary
`OutputStreamPacket(BCPGOutputStream out)`

Method Summary
`abstract void` | `close()`
`abstract BCPGOutputStream` | `open()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected BCPGOutputStream out

Constructor Detail

### OutputStreamPacket

    public OutputStreamPacket(BCPGOutputStream out)

Method Detail

### open

    public abstract BCPGOutputStream open()
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public abstract void close()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD